# -*- mode: rpm-spec; coding: utf-8 -*-

Name: postgresql-slony1
Version: 1.0.5
Release: alt1

Summary: A "master to multiple slaves" replication system with cascading and failover
License: BSD
Group: Databases
URL: http://slony.info/
Source0: slony1-%version.tar.gz
Patch0: postgresql-slony1-1.0.5-alt-build.patch

Packager: PostgreSQL Maintainers Team <pgsql@packages.altlinux.org>

BuildRequires: postgresql8.0-devel

%description
Slony-I will be a "master to multiple slaves" replication
system with cascading and failover.

The big picture for the development of Slony-I is to build
a master-slave system that includes all features and
capabilities needed to replicate large databases to a
reasonably limited number of slave systems.

Slony-I is planned as a system for data centers and backup
sites, where the normal mode of operation is that all nodes
are available

%prep
%setup -q -n slony1-%version

%patch0 -p1

%build
%__autoconf
%configure --with-pgsourcetree=/usr/lib/pgsql/pgxs

%install
%__make DESTDIR=%buildroot pkglibdir=/usr/lib/pgsql install

%files
%doc COPYRIGHT README README.upgrade HISTORY-1.0 doc 
%_bindir/*
%_libdir/pgsql/*
%_datadir/pgsql/*

%changelog
* Fri Apr 29 2005 Ivan Fedorov <ns@altlinux.ru> 1.0.5-alt1
- Rebuild for Sisyphus

* Sat Mar 12 2005 Ivan Fedorov <ns@altlinux.ru> 1.0.5-alt0.1
- Initial build for ALT Linux
